garry saddington wrote:
I have a Zope application that runs on WinXP and Debian sarge without
problems. I am using os.popen and popen2 to run locally installed
applications and use their output in Zope (particularly aspell and
diction).


I'd suggest moving to the new subprocess module which packages these up in a platform independent way...

problem with recent Distros and this module? Python version is 2.3 on
all systems but I tried 2.4 on FC5 and that failed too.

You need to be using Zope 2.9 and Python 2.4 to have access to the subprocess module, but I'd strongly recommend it in your case...

Chris

--
Simplistix - Content Management, Zope & Python Consulting
           - http://www.simplistix.co.uk

_______________________________________________
Zope maillist  -  Zope@zope.org
http://mail.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - http://mail.zope.org/mailman/listinfo/zope-announce
http://mail.zope.org/mailman/listinfo/zope-dev )

Reply via email to